ONVIF::Media::Elements::AddAudioSourceConfiguration(3)

NAME
ONVIF::Media::Elements::AddAudioSourceConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined element AddAudioSourceConfiguration from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   ConfigurationToken

     $element->set_ConfigurationToken($data);
     $element->get_ConfigurationToken();

METHODS

  new
 my $element = ONVIF::Media::Elements::AddAudioSourceConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   ConfigurationToken => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL